Debian Bug report logs - #382096
swig1.3: FTBFS: /usr/share/quilt/quilt.make: No such file or directory

version graph

Package: swig1.3; Maintainer for swig1.3 is Torsten Landschoff <torsten@debian.org>;

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Tue, 8 Aug 2006 22:03:02 UTC

Severity: serious

Tags: fixed

Found in version swig1.3/1.3.29-1

Fixed in version 1.3.29-2.1

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#382096; Package swig1.3. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to Torsten Landschoff <torsten@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: swig1.3: FTBFS: /usr/share/quilt/quilt.make: No such file or directory
Date: Tue, 8 Aug 2006 22:46:38 +0200
Package: swig1.3
Version: 1.3.29-1
Severity: serious

Hi,

Your package is failing to build with the following error:
dpkg-buildpackage: source version without epoch 1.3.29-1
 /usr/bin/fakeroot debian/rules clean
debian/rules:10: /usr/share/quilt/quilt.make: No such file or directory
make: *** No rule to make target `/usr/share/quilt/quilt.make'.  Stop.

You should probably add a build depedency on quilt.


Kurt




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#382096; Package swig1.3. Full text and rfc822 format available.

Acknowledgement sent to Torsten Landschoff <torsten@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 382096@bugs.debian.org (full text, mbox):

From: Torsten Landschoff <torsten@debian.org>
To: Kurt Roeckx <kurt@roeckx.be>, 382096@bugs.debian.org
Subject: Re: Bug#382096: swig1.3: FTBFS: /usr/share/quilt/quilt.make: No such file or directory
Date: Wed, 9 Aug 2006 19:51:20 +0200
[Message part 1 (text/plain, inline)]
On Tue, Aug 08, 2006 at 10:46:38PM +0200, Kurt Roeckx wrote:
> 
> Your package is failing to build with the following error:
> dpkg-buildpackage: source version without epoch 1.3.29-1
>  /usr/bin/fakeroot debian/rules clean
> debian/rules:10: /usr/share/quilt/quilt.make: No such file or directory
> make: *** No rule to make target `/usr/share/quilt/quilt.make'.  Stop.
> 
> You should probably add a build depedency on quilt.
 

Grmpf, I was sure I did... I'll check and fix this.

Thanks

	Torsten
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#382096; Package swig1.3. Full text and rfc822 format available.

Acknowledgement sent to Gunnar Wolf <gwolf@gwolf.org>:
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>. Full text and rfc822 format available.

Message #15 received at 382096@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@gwolf.org>
To: 382096@bugs.debian.org
Subject: Re: swig1.3: FTBFS: /usr/share/quilt/quilt.make: No such file or directory
Date: Sun, 13 Aug 2006 16:21:16 -0500
[Message part 1 (text/plain, inline)]
I added the build-dependency on quilt, and swig1.3 was built correctly
on an i386 pbuilder. I sent an NMU to 4 days in gluck_delayed.

Greetings,

-- 
Gunnar Wolf - gwolf@gwolf.org - (+52-55)5623-0154 / 1451-2244
PGP key 1024D/8BB527AF 2001-10-23
Fingerprint: 0C79 D2D1 2C4E 9CE4 5973  F800 D80E F35A 8BB5 27AF
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Maximiliano Curia <maxy@gnuservers.com.ar> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#382096; Package swig1.3. Full text and rfc822 format available.

Acknowledgement sent to Daniel Baumann <daniel.baumann@panthera-systems.net>:
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>. Full text and rfc822 format available.

Message #22 received at 382096@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@panthera-systems.net>
To: 382096@bugs.debian.org, 385080@bugs.debian.org, 361482@bugs.debian.org
Subject: NMU Diff
Date: Sat, 09 Sep 2006 13:09:28 +0200
[Message part 1 (text/plain, inline)]
Hi,

this is the NMU Diff.
[NMU.diff (text/plain, inline)]
diff -Naur swig-1.3.29-2/debian/changelog swig-1.3.29-2.1/debian/changelog
--- swig-1.3.29-2/debian/changelog	2006-09-09 10:53:56.000000000 +0000
+++ swig-1.3.29-2.1/debian/changelog	2006-09-09 10:53:33.000000000 +0000
@@ -1,3 +1,12 @@
+swig1.3 (1.3.29-2.1) unstable; urgency=medium
+
+  * Non-maintainer upload, BSP Zurich/Switzerland.
+  * Moving quilt from build-depends to build-depends-indep
+    (Closes: #382096, #385080).
+  * Added kfreebsd-amd64 to build-depends ignores (Closes: #361482).
+
+ -- Daniel Baumann <daniel@debian.org>  Sat,  9 Sep 2006 12:41:00 +0200
+
 swig1.3 (1.3.29-2) unstable; urgency=medium
 
   * Adopt to new default python version (closes: #384212).
diff -Naur swig-1.3.29-2/debian/control swig-1.3.29-2.1/debian/control
--- swig-1.3.29-2/debian/control	2006-09-09 10:53:56.000000000 +0000
+++ swig-1.3.29-2.1/debian/control	2006-09-09 10:53:33.000000000 +0000
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Torsten Landschoff <torsten@debian.org>
 Standards-Version: 3.6.2
-Build-Depends-Indep: quilt (>= 0.40-1)
-Build-Depends: debhelper (>= 4.0), tcl8.4-dev, tk8.4-dev, libperl-dev, bison, python-dev (>= 2.4), python-dev (<< 2.5), ruby1.8, ruby1.8-dev, guile-1.6-dev, php4-dev, php4-cgi, pike7.6, pike7.6-dev, ocaml, libchicken-dev [!m68k !mips !mipsel], libpcre3-dev [!m68k !mips !mipsel], gcj [!hppa !mips !mipsel !kfreebsd-i386], gij [!hppa !mips !mipsel !kfreebsd-i386]
+Build-Depends: debhelper (>= 4.0), quilt (>= 0.40-1), tcl8.4-dev, tk8.4-dev, libperl-dev, bison, python-dev (>= 2.4), python-dev (<< 2.5), ruby1.8, ruby1.8-dev, guile-1.6-dev, php4-dev, php4-cgi, pike7.6, pike7.6-dev, ocaml, libchicken-dev [!m68k !mips !mipsel], libpcre3-dev [!m68k !mips !mipsel], gcj [!hppa !mips !mipsel !kfreebsd-amd64 !kfreebsd-i386], gij [!hppa !mips !mipsel !kfreebsd-amd64 !kfreebsd-i386]
 
 Package: swig
 Architecture: any

Tags added: fixed Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 1.3.29-2.1, send any further explanations to Kurt Roeckx <kurt@roeckx.be> Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Kurt Roeckx <kurt@roeckx.be>:
Bug#382096. Full text and rfc822 format available.

Message #29 received at 382096-submitter@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 380056-submitter@bugs.debian.org, 380123-submitter@bugs.debian.org, 380147-submitter@bugs.debian.org, 380466-submitter@bugs.debian.org, 380581-submitter@bugs.debian.org, 380589-submitter@bugs.debian.org, 380723-submitter@bugs.debian.org, 380728-submitter@bugs.debian.org, 380801-submitter@bugs.debian.org, 380872-submitter@bugs.debian.org, 380915-submitter@bugs.debian.org, 380993-submitter@bugs.debian.org, 381005-submitter@bugs.debian.org, 381068-submitter@bugs.debian.org, 381110-submitter@bugs.debian.org, 381225-submitter@bugs.debian.org, 381338-submitter@bugs.debian.org, 381390-submitter@bugs.debian.org, 381452-submitter@bugs.debian.org, 381456-submitter@bugs.debian.org, 381624-submitter@bugs.debian.org, 381646-submitter@bugs.debian.org, 381816-submitter@bugs.debian.org, 382096-submitter@bugs.debian.org, 382114-submitter@bugs.debian.org, 382131-submitter@bugs.debian.org, 382214-submitter@bugs.debian.org, 382260-submitter@bugs.debian.org, 382400-submitter@bugs.debian.org, 382491-submitter@bugs.debian.org, 382512-submitter@bugs.debian.org, 382642-submitter@bugs.debian.org, 382769-submitter@bugs.debian.org, 382783-submitter@bugs.debian.org, 382807-submitter@bugs.debian.org, 382867-submitter@bugs.debian.org, 382951-submitter@bugs.debian.org, 382958-submitter@bugs.debian.org, 383175-submitter@bugs.debian.org, 383314-submitter@bugs.debian.org, 383426-submitter@bugs.debian.org, 383565-submitter@bugs.debian.org, 383569-submitter@bugs.debian.org, 383616-submitter@bugs.debian.org, 383823-submitter@bugs.debian.org, 384057-submitter@bugs.debian.org, 384081-submitter@bugs.debian.org, 384223-submitter@bugs.debian.org, 384282-submitter@bugs.debian.org, 384356-submitter@bugs.debian.org, 384358-submitter@bugs.debian.org, 384489-submitter@bugs.debian.org, 384507-submitter@bugs.debian.org, 384566-submitter@bugs.debian.org, 384593-submitter@bugs.debian.org, 384725-submitter@bugs.debian.org, 384750-submitter@bugs.debian.org, 384756-submitter@bugs.debian.org, 384772-submitter@bugs.debian.org, 384825-submitter@bugs.debian.org, 384826-submitter@bugs.debian.org, 384937-submitter@bugs.debian.org, 384995-submitter@bugs.debian.org, 385062-submitter@bugs.debian.org, 385080-submitter@bugs.debian.org, 385177-submitter@bugs.debian.org, 385378-submitter@bugs.debian.org, 385643-submitter@bugs.debian.org, 385696-submitter@bugs.debian.org, 385800-submitter@bugs.debian.org, 385819-submitter@bugs.debian.org, 385820-submitter@bugs.debian.org, 385827-submitter@bugs.debian.org, 385828-submitter@bugs.debian.org, 385829-submitter@bugs.debian.org, 385830-submitter@bugs.debian.org, 385831-submitter@bugs.debian.org, 385835-submitter@bugs.debian.org, 385837-submitter@bugs.debian.org, 385839-submitter@bugs.debian.org, 385841-submitter@bugs.debian.org, 385943-submitter@bugs.debian.org, 378525-submitter@bugs.debian.org, 378699-submitter@bugs.debian, org@mauritius.dodds.net, 379208-submitter@bugs.debian.org, 374601-submitter@bugs.debian.org, 388193-submiter@bugs.debian.org, 366090-submitter@bugs.debian.org, 343015-submitter@bugs.debian.org, 342963-submitter@bugs.debian.org, 342962-submitter@bugs.debian.org, 342966-submitter@bugs.debian.org, 342997-submitter@bugs.debian.org, 343000-submitter@bugs.debian.org
Subject: Bugs fixed in NMU, documenting versions
Date: Sun, 22 Oct 2006 01:59:27 -0700
# Hi folks,
#
# All of these bugs have been fixed in NMU, but not acknowledged by the
# maintainers.  With version tracking in the Debian BTS, it is important to
# know which version of a package fixes each bug so that they can be tracked
# for release status in the BTS, so I'm closing these bugs with the relevant
# version number information now.

close 380056 0.4.2-3.2
close 380123 1.1.3-5.3
close 380147 0.4.14-1.1
close 380466 0.3.9-1.1
close 380581 0.3.7-1.1
close 380589 1:1.0.0-rel-3.1
close 380723 0.0.43-0.3
close 380728 0.3.2-7.1
close 380801 3.0.3-3.1
close 380872 0.4-1.1
close 380915 0.8-1.1
close 380993 2.4.0-3.1
close 381005 1:1.0-3.1
close 381068 0.4.7-1.1
close 381110 2.6.3.2.1.2
close 381225 1:1.0.1-4.1
close 381338 2.3.4-3.1
close 381390 2.1.1-5.2
close 381452 21.4a-6.2
close 381456 0.3.4.cvs.20050813-2.2
close 381624 3.6.13-3.6
close 381646 7.4-3.1
close 381816 6.2.10-4.1
close 382096 1.3.29-2.1
close 382114 1:1.2.4.1-6.1
close 382131 1.9.6-3.1
close 382214 0.4.7-1.1
close 382260 1.13-1.1
close 382400 0.87.5-2
close 382491 0.2.1-1.1
close 382512 1.0.0-9.2
close 382642 2.2.3-1.1
close 382769 0.2.12-1.2
close 382783 1.0.57-2.3
close 382807 0.5.4-0.1
close 382867 0.10-1.1
close 382951 2.6.3.2.1.5
close 382958 1.0.5-1.1
close 383175 0.1.8.1-3.1
close 383314 7:6.2.4.5.dfsg1-0.10
close 383426 4.0.6-2.1
close 383565 0.1.6.9-1.1
close 383569 0.95-2.1
close 383616 1.0.5-1.1
close 383823 2.2.0-2.1
close 384057 6.5.0.cvs.20060524-1.1
close 384081 1:5.22-1.1
close 384223 0.80+dfsg-1
close 384282 6.5.0.cvs.20060524-1.1
close 384356 0.9.10-3.1
close 384358 0.88-3.1
close 384489 0.4.2-7.1
close 384507 0.4.20-12.1
close 384566 0.13-3.3
close 384593 210-3.1
close 384725 2.8.5-2sarge1.2
close 384750 0.9.2+cvs.1.0.dev.2004.07.28-4.1
close 384756 0.15.0-1.1
close 384772 0.9.6-1.1
close 384825 0.0.43-0.4
close 384937 0.03-1.1
close 384995 0.5-1.1
close 385062 7:6.2.4.5.dfsg1-0.10
close 385080 1.3.29-2.1
close 385177 1.1.3-1.2
close 385378 0.33.3-1.1
close 385643 0.07-1.1
close 385696 2.5.3-4.1
close 385800 3.4.2-1.1
close 385819 0.6.6-6.1
close 385820 0.6.6-4.1
close 385827 3.5-9.1
close 385828 1.3.2-3.3
close 385829 1.4.3-17.2
close 385830 0.5-8.1
close 385831 2.0.9-1.2
close 385835 3.0.9-2.1
close 385837 0.3-5.2
close 385839 2.3.0-1
close 385841 1.1pre14-2.1
close 385943 2.8.5-1.1
thanks

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 07:27:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:01:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.